Bug 105602 - favicons don't work for local pages
Summary: favicons don't work for local pages
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal with 1 vote (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-13 12:02 UTC by Michael Olbrich
Modified: 2011-12-19 20:27 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.8.0


Attachments
Test case (319 bytes, text/html)
2008-05-21 21:20 UTC, Frank Reininghaus
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Olbrich 2005-05-13 12:02:51 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources

For local html pages the <link rel="SHORTCUT ICON" .../> tag doesn't work. I even tried to download a page with an _absolute_ favicon link. Again, for the local copy the icon did not show.
From a look into the code I cannot see where it fails. It must be before/during download: the icon does not appear in the cache ($KDEHOME/cache-HOST/favicons not is there an entry in konqueror/faviconrc
Comment 1 Philip Rodrigues 2006-09-02 18:25:39 UTC
Confirmed on 3.5 SVN r575787
Comment 2 Frank Reininghaus 2008-05-21 21:14:07 UTC
I can confirm this for 3.5.9 (Kubuntu 8.04) and SVN trunk rev. 808111: favicons are not shown for local pages, no matter if the link points to a local favicon or one on a web server.
Comment 3 Frank Reininghaus 2008-05-21 21:20:27 UTC
Created attachment 24882 [details]
Test case

If you download this html file and view it in Firefox, the KDE logo is shown as
favicon in the location bar, also if you download the favicon.ico file and
change the link accordingly. Konqueror does not show it in the location bar.
Comment 4 Dawit Alemayehu 2011-12-19 20:27:39 UTC
Git commit acbaff6a08873534f3d6c20b74804c3f73e191f0 by Dawit Alemayehu.
Committed on 19/12/2011 at 17:27.
Pushed by adawit into branch 'master'.

Do not prevent favicons from being shown for saved HTML pages.

BUG: 105602
FIXED-IN: 4.8.0
REVIEW: 103474

M  +0    -1    konqueror/src/konqpixmapprovider.cpp

http://commits.kde.org/kde-baseapps/acbaff6a08873534f3d6c20b74804c3f73e191f0